# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   Study_Python
# FileName:      db_004.py
# Author:       xxxxxxx
# Datetime:     2023/8/7 19:36
# Description:
# 
# ---------------------------------------------------------------------------
import pymysql

from Request_framework.study_004.common.readini_004 import Read_ini_004
from Request_framework.study_004.config.settings import *


class DB:
    def __init__(self):
        read_ini_004 = Read_ini_004()
        self.conn = pymysql.connect(
            host=read_ini_004.get_sql(SQLHOST),
            port=int(read_ini_004.get_sql(PORT)),
            user=read_ini_004.get_sql(USER),
            password=read_ini_004.get_sql(PWD),
            database=read_ini_004.get_sql(DATABASE),
            charset="utf8"
        )
        self.cursor = self.conn.cursor()

    def close(self):
        self.cursor.close()
        self.conn.close()

    def delete(self, sql_sentence):
        self.cursor.execute(sql_sentence)
        self.conn.commit()

    def select(self, sql_sentence):
        self.cursor.execute(sql_sentence)
        result = self.cursor.fetchall()
        if result:
            return result[0][0]