# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   Study_Python
# FileName:      readini_004.py
# Author:       xxxxxxx
# Datetime:     2023/8/7 19:05
# Description:
# 
# ---------------------------------------------------------------------------
import configparser
import os



class Read_ini_004:

    def __init__(self):
        self.data_path = os.path.join(os.path.dirname(os.path.dirname(__file__)), 'config')
        ini_path = os.path.join(self.data_path, 'config.ini')
        self.con = configparser.ConfigParser()
        self.con.read(ini_path, encoding='utf-8')

    def get_file_name(self, key):
        file_name = self.con.get('file', key)
        return os.path.join(self.data_path, file_name)

    def get_host(self, key):
        return self.con.get('host', key)

    def get_table_name(self, key):
        return self.con.get('table', key)

    def get_sql(self, key):
        return self.con.get('sql', key)

if __name__ == '__main__':
    read_ini_004 = Read_ini_004()
    print(read_ini_004.get_file_name('case'))