# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   Study_Python
# FileName:      conftest.py
# Author:       xxxxxxx
# Datetime:     2023/8/7 19:43
# Description:
# 
# ---------------------------------------------------------------------------
import pytest

from Request_framework.study_004.common.db_004 import DB
from Request_framework.study_004.method.requestmethod_004 import Requestmethod_004


@pytest.fixture(scope='session')
def resp_fix():
    resp = Requestmethod_004()
    yield resp

@pytest.fixture(scope='session')
def db4_fix():
    db = DB()
    yield db
    db.close()

def pytest_collection_modifyitems(items):
    # item表示每个测试用例，解决用例名称中文显示问题
    for item in items:
        item.name = item.name.encode("utf-8").decode("unicode-escape")
        item._nodeid = item._nodeid.encode("utf-8").decode("unicode-escape")